Name:           rxvt
Version:        2.7.10
Release:	10%{?dist}

Summary:        ouR XVT, a VT102 emulator for the X window system
Group:          User Interface/X
License:        GPL
URL:            http://www.rxvt.org
Source0:        http://dl.sourceforge.net/sourceforge/rxvt/%{name}-%{version}.tar.gz
Source1:        rxvt.desktop
Source2:        rclock.desktop
Patch0:         rxvt-rpath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  libX11-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXt-devel
BuildRequires:  desktop-file-utils
BuildRequires:  xorg-x11-proto-devel

%description
rxvt,  version  %{version}, is a colour vt102 terminal emulator
intended as an xterm(1) replacement for users who  do  not
require  features  such  as  Tektronix  4014 emulation and
toolkit-style configurability.  As  a  result,  rxvt  uses
much  less  swap  space  --  a  significant advantage on a
machine serving many X sessions.


%prep
%setup -q
%patch0

%build
%configure --enable-everything --enable-xgetdefault --enable-256-color \
    --x-includes=%{_includedir} --x-libraries=%{_libdir} --with-term=rxvt
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall mandir=$RPM_BUILD_ROOT/%{_mandir}/man1

desktop-file-install \
  --vendor=fedora \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Fedora \
  %{SOURCE1}

desktop-file-install \
  --vendor=fedora \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Fedora \
  %{SOURCE2}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/BUGS doc/FAQ doc/README.menu doc/README.xvt doc/TODO
%doc doc/*.html
%doc doc/menu/*
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*


%changelog
* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.7.10-10
- inspired by #177302 fix term name to rxvt for termcap 
- get rid of rpath

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.7.10-9
- Rebuild for Fedora Extras 5

* Fri Nov 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.7.10-8
- add dist tag
- modular xorg integration

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.7.10-7
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Dec 18 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:2.7.10-0.fdr.5
- fixed typo (#1137)
* Sun Jun 22 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de> 0:2.7.10-0.fdr.4
- Fixed typo in rclock.desktop ( noticed by Michael Schwendt )
- Removed Merged from *.desktop ( also by Michael Schwendt )
* Sat Jun 21 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de> 0:2.7.10-0.fdr.3
- added missing documentation ( noticed by Adrian Reber )
* Sat Jun 21 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de> 0:2.7.10-0.fdr.2
- switched back to makeinstall
- added menu entry
- removed -n from setup

* Fri Jun 20 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
- Initial RPM release.
